Skip to content
GBG Documents & Biometrics Documentation

/AgeEstimation/id

POST
/AgeEstimation/id
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/AgeEstimation/id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form FaceImageId=example \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

Performs age estimation using a packet ID.

Age Estimation by ID endpoint allows for age estimation using a previously uploaded face image ID.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
FaceImageId

The ID of the face image.

string
AdditionalDetails

Additional metadata for the request.

object
key
additional properties
string
RequestId
string
CorrelationId
string

Returns the age estimation result.

Response from age estimation service.

object
correlationId
string
nullable
low

The low end of the estimated age range in years.

integer format: int32
high

The high end of the estimated age range in years.

integer format: int32
errorCode

Error code if any.

string
nullable
error

Error message if any.

string
nullable
additionalDetails

Additional details.

object
key
additional properties
string
nullable

Error with the provided parameters.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Packet not found.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during processing.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable